============
Version 42.1
============

Changes sincec 42.0

 • Meson templates updates
 • Fix failure to load project under certain symlink situations
 • Fix restore-cursor plugin
 • Improve newline handling with git diffs
 • Updated GJS snippets
 • Fixes for podman integration
 • Language Server Protocol enhancements
 • Translation updates

============
Version 42.0
============

Changes since 42.rc1

 • Template updates for C++ and Vala
 • Only enable Vala search provider if Vala is supported language
   by the projects build system to avoid spawning LSP.
 • Build system changes to default plugins
 • Translation updates

==============
Version 42.rc1
==============

 • Template updates for JavaScript, Python, C, and Vala
 • Updates for Vala and Intelephense language servers
 • CMake integration improvements
 • Additional license options for templates
 • Translation updates

================
Version 42.beta1
================

 • Support for dark style preference
 • Enable proc-macro with rust-analzyer
 • Project template updates
 • Improvements to podman integration
 • Fix a number of crashes
 • Use libhandy for window styling to match other GNOME applications
 • Fullscreen has been temporarily removed until the GTK 4 port to allow
   for easier transition to libhandy
 • Updates to syntax highlighting schemes
 • Addition of IdeDiagnosticTool to simplify plugin creation
 • Adwaita is now the default style scheme
 • The gutter will now try to use colors from style scheme for difffs
 • Build system modernization
 • Robustness fixes to terminal
 • Fixes for header include completion
 • gtk4 validation with RNG
 • Clang improvements when using podman
 • CMake integration fixes
 • Updated icons
 • VIM emulation fixes
 • Updated translations

=================
Version 42.alpha1
=================

 • Use updated libportal release
 • Add buildstream plugin
 • Support for "base runtimes" in flatpak manifests
 • Use GtkScrolledWindow with terminals
 • Allow specifying min-length for quick-highlight plugin
 • Fixes to allow for external addons with Flatpak
 • rubucop support
 • Parse languages from meson.build more correctly
 • CSS, Font, and syntax styling improvements
 • An experimental clangd plugin, which distributions should not enable
   by default as it consumes significantly more memory than Builder's
   integrated clang support
 • Search result ordering fixes
 • Modernized mono template
 • Clang-format integration
 • Improved SDK download integration with Flatpak
 • Make application-ids more restrictive when creating projects
 • Avoid opening known GTK 4 templates with Glade
 • Fix unloading of some pipeline addins
 • Work around IBus breakage in how it stole our keybindings
 • Allow markdown in diagnostics as used by some LSPs, notably rust-analyzer
 • Improved path detection with SDKs and extensions
 • Markdown styling improvements
 • A new LspService object has been added for plugins who need simple integration
   with language servers, vastly simplifying work necessary by plugins integrating
   language servers.
 • Fixes to wordexp() usage when calculating long/short-form paths
 • CSS plugin now knows about additional CSS property names
 • Many LSP integration points with newer specifications have been added
 • You can now set run-options in build preferences
 • Additional snippets have been added
 • Support for integrating with intelephense language server
 • Support for integrating with Blueprint language server and syntax
 • Updated translations

============
Version 41.1
============

 • Make system/user fonts available when running application
 • Project template updates
 • Snippet updates
 • Updated translations

============
Version 41.0
============

 • Fixes to markdown presentation with Pango
 • Template fixes
 • Allow installation of KDE and elementary Flatpak runtimes through
   private flatpak installation
 • Updated translations

================
Version 41.beta1
================

 • Builder now uses a private Flatpak installation for SDKs to avoid
   modifying the user's flatpak installation. It automatically uses
   Flathub, Flathub-beta, and GNOME Nightly Flatpak repositories with
   appropriate filters to get access to nightly and beta SDKs. This is
   necessary to support development against "master" once the SDKs
   branch for beta.
 • Style scheme improvements
 • Improvements in the foundry to build pipelines
 • Allow loading buffers without addins to speed up text replacements
 • Use jedi-language-server instead of loading Jedi in process
 • Enable rust global search if the project is known to contain rust
 • Improvements to Flatpak SDK extension integration
 • A new markdown renderer
 • Improvements to LSP autocompletion features
 • Accessibility improvements
 • Improved devhelp integration
 • Session support for additional page types other than editors
 • Improvements to grep integration including project search and replace

=================
Version 41.alpha1
=================

 • New and improved templates
 • Toolbox improvements from Flatpak
 • A new gnome-builder-flatpak helper, removing libflatpak from
   the gnome-builder UI process.
 • Improvements to gnome-builder-git to use default branch name.
 • Improved session management
 • A11y improvements
 • Translation updates

==============
Version 3.40.0
==============

GNOME Builder for GNOME 40.0 is here!

 • Build system improvements
 • Group “Toolbox” containers together in build preferences
 • Fixes for "cargo-home" usage with Rust templates
 • More shortcuts added to shortcuts window
 • Translation updates

===============
Version 3.39.99
===============

The release candidate for GNOME 40 is here!

 • Various build system improvements
 • New libide helpers for plugins to locate addins by module name
 • Resiliency fixes language server protocol
 • Use rust-analyzer from SDK inside build container when possible
 • Fix use of F7 keyboard shortcut for build commands
 • Allow use of $FILE from external shell commands
 • Fix duplicated text when inserting various types of completion proposals
 • Translation updates

===============
Version 3.39.92
===============

 • Update preferences for terminals including making scrollback configurable
 • Add support for OSC 8 escape sequences in terminals
 • Fix highlight after pasting when multiple cursors are in use
 • Allow disabling show-right-margin with .editorconfig
 • Reload build pipelines after bootstrapping initial runtimes
 • Various podman runtime improvements
 • Pass destination FD to host when reading files from host
 • Various rust-analyzer improvements
 • A new "gdiagnose" plugin which can find some common GObject issues
 • The Flatpak plugin can now resolve SDK extensions through common SDK
   ancestors improving the newcomer experience for applications such as those
   that use org.freedesktop.Sdk.Extension.rust-stable.
 • Improvements to the color picker and display extension
 • Only show a single "update available" notification
 • A new rust code formatter is available
 • GNOME application templates now provide example icons
 • Translation updates

===============
Version 3.39.90
===============

This release corresponds to GNOME 40.alpha1

 • Fixes for stale build pipeline information on rebuild/clean
 • Search improvements
 • Project tree improvements
 • Track changes for podman/toolbox
 • Support running GTK 4 applications
 • Various build fixes for odd platforms
 • WebKit support is now optional, albeit not recommended to disable
 • Debugger improvements
 • Vala language server robustness improvements
 • ESLint support for TypeScript
 • Debug messages from GLib/GTK are now only shown when debugging your
   application, not running without debugger.
 • Improvements to icon display for project tree
 • Translation updates

==============
Version 3.38.0
==============

 • Default to python3 when opening python source files
 • Handle failures from windowing system more gracefully
 • Fix crash during project-wide search and replace
 • Translation updates

===============
Version 3.37.92
===============

 • Podman fixes
 • Style scheme improvements
 • Flatpak manifest improvements
 • C++ GTK template improvements
 • Trim leading and trailing spaces when creating and renaming files
 • Show comment shortcuts in shortcut overlay
 • Use GVls 0.16
 • Translation updates

===============
Version 3.37.90
===============

 • HTML preview fixes for Markdown
 • Style scheme improvements
 • Fix cargo.sh usage with Dash in Rust templates
 • Add API and interfaces to execute user-supplied GDB commands
 • Use new Sysprof-4 ABI
 • New codespell plugin enabled by default
 • Fix support for multiple diagnostics on the same line
 • Modeline parsing fixes
 • Support for Podman v2
 • Various CSS styling fixes
 • Translation updates

==============
Version 3.37.1
==============

 • ToDo plugin fixes
 • Improved templates
 • Use simplified wrapper for fusermount on host
 • Vim emulation improvements
 • Styling improvements
 • A new in-process style scheme for Adwaita
 • Fixes for drawing search bubbles
 • Save buffers before renaming files
 • New rust-analyzer plugin instead of RLS
 • Clang plugin improvements
 • HTML/markdown improvements
 • Fixes for project directories outside of $HOME
 • Open with external program supported with libportal
 • GVls improvements
 • Tooltip alignment fixes
 • Support for relative line numbers in source code editor
 • Snippet improvements
 • Make build system more reproducible
 • GJS fixes
 • Various UI improvements
 • Translation updates

==============
Version 3.36.0
==============

 • Support alt+left and mouse back button within greeter window
 • Improvements to symbol selection and activation in editor frame
 • Rust template improvements
 • Support for snippets in LSP protocol
 • Improvements to Vala language server integration
 • Cargo build system improvements
 • Translation updates

===============
Version 3.35.91
===============

 • Updated list of newcomers projects
 • Various i18n improvements for more complete translations
 • Many improvements in Language Server Protocol support
 • Vala support is now provided from GVls instead of an internal plugin
 • Remove RUSTFLAGS overrides from Cargo integration
 • Added an update-manager plugin to track flatpak update availability
 • Robustness fixes when running on non-local file systems
 • Improvements to shortcuts including Glade integration
 • Improvements to meson plugins
 • A new copyright plugin that can update copyright years in headers
 • Detection of CFLAGS and CXXFLAGS environment variables when using
   Makefile has been fixed
 • Jedi improvements
 • Go language server is not set to use the upstream "gopls"
 • Translation updates

==============
Version 3.35.3
==============

 • Many bug fixes and build system improvements
 • Updated URLs for flatpak
 • Performance improvement for default sourceview styles
 • Ensure access to document portals
 • Many improvements to language server protocol support
 • VTE is now bundled in flatpak builds
 • Single click support for hyperlinks in build terminals
 • Improvements to "find other file" for similar file types
 • Tweak styling for command bar and search button
 • Add close button to search bar
 • Podman improvements
 • Markdown improvements
 • A new stylelint plugin was added

==============
Version 3.34.0
==============

 • Support for negative line numbers in "Go To Line" popover
 • Terminal workspaces are disabled for 3.34
 • Documentation fixes
 • Fix Escape usage in various search entries
 • Build system fixes
 • Translation updates

===============
Version 3.33.92
===============

Changes since last release:

 • A new Rust GNOME project template has been added in addition to general
   improvements in the project creation assistant
 • Improvements to Vim emulation
 • Menu items within the glade designer pages have been fixed
 • Search improvements when regex and escape characters are used
 • Fixes for various keyboard shortcuts
 • Fix disappearance of Flatpak SDK installation popover
 • Fix saving of Glade documents when there are errors
 • Bug fixes to directory view and html-preview plugins
 • Buffer monitor tracking fixes
 • Improve drawing of transfer information in popovers
 • Translation updates

===============
Version 3.33.90
===============

Changes since last release:

 • Fix deprecations from recent GLib changes
 • Update for recent Sysprof API changes
 • Multiple cursors improvements in editor
 • Fix meson tests use of IdeRunner
 • Sort commands in command-bar by priority
 • A new shellcmd plugin to execute shell commands from host, build,
   or runtime environments including support for keyboard shortcuts.
 • Fix a number of "execve()" errors in build system usage
 • Project template improvements
 • Translation updates

==============
Version 3.33.4
==============

Changes since last release:

 • The greeter will disable input while opening a project
 • The sysprof plugin includes many new data sources
 • Git status in the project tree no longer uses color, instead
   opting for an open circle for changes, and closed circle for
   new files (along with bold)
 • The UI tries to be more consistent in using italics for changes
   as bold is used for new files in the project tree
 • Various project tree styling changes
 • Discovery of programs within Flatpak runtimes no longer requires
   using `which'. The files are located directly using known PATH
 • Various FreeBSD compilation fixes with Clang
 • Many other bug fixes and improvements
 • Translation updates

==============
Version 3.33.3
==============

Changes since last release:

 • The sysprof dependency has been bumped to 3.33.3. Note that sysprof
   3.33.3 introduces a new org.gnome.Sysprof3 service we rely on, but also
   provides org.gnome.Sysprof2 for compat with older systems
 • Validate application IDs when creating projects
 • Improvements to the golang language server integration
 • Improved formatting with `format-decls` comand-bar action
 • Updates for newcomer workflow
 • Improvements to Vim emulation
 • Cargo build system integration improvements
 • Improved gtkmm templates
 • Use --watch-bus when emulating rofiles-fuse to host
 • Improvements to completion-window opacity on Ctrl key-press/release
 • Window stacking fixes
 • Directory names are now indexed and can be used to open a file-browser
 • Foundry improvements including unit testing and PTY usage
 • Avoid displaying notifications in some situations
 • Terminal spawning has been redesigned to make it easier to re-use
 • We now load .ui files in the editor by default, you can open them
   from the designer using "View Design"
 • GNUmakefile fixes
 • Translation updates

==============
Version 3.33.1
==============

Changes since last release:

 • Builder now requires meson 0.50 to build
 • The appdata name was restored to it's previous name for compatibility
 • Global search now uses a button which auto-expands into a search entry
   when focused.
 • The git plugin has been rewritten to use an out-of-process git daemon
   which communicates over stdin/stdout using DBus serialization.
 • The vala plugin has been moved out-of-process. Some features are disabled
   but will come back in a future release.
 • Improvements to editor menus
 • Waf support handles foreign python better
 • Allow ignoring code-index directories with a .noindex file
 • Fixes to editor overscroll
 • Improvements when home directory is detected to be within a symlink
 • Improvements to projects that are found within a symlink
 • Control key now toggles opacity of completion window
 • Bump C++ build requirement for more modern preprocessor features
 • Initial podman support when --preserve-fds is available
 • Style fixes for sourceview line gutter background rendering
 • The flatpak-plugin has been ported away from libgit2-glib
 • The Builder UI process no longer links against libgit2-glib
 • C++ alternate-file matching for compile_commands.json has improved
 • C/C++ flags --std= option is now supported in addition to -std=
 • PR_SET_PDEATHSIG is used for child processes spawned from the main-thread
 • A new fast-int conversion implementation has been added that saves about
   256kb of rodata
 • A new DBus inspector tool has been added
 • Git line change detection improvements
 • "New item" buttons were removed from the frame header popover
 • Updated translations

Currently, this release requires libgit2-glib from master as there is
not currently a 3.33.1 equivalent release.

==============
Version 3.32.1
==============

Changes since last release:

 • Appdata updates
 • The project-tree now auto-resizes the column
 • Stability improvements to the flatpak plugin
 • The flatpak plugin now queries before installing dependencies
 • The code-index can be avoided by placing a ".noindex" file in a directory
 • Transfer notifications have cancel buttons restored
 • Waf improvements
 • Flatpak uses fallback-x11 now instead of x11 by default
 • RLS support can now be disabled by disabling the plugin
 • A leak was fixed for semantic highlight indexes
 • Scroll improvements for the source code editor
 • Improved support for symlinks above the project directory
 • Support for podman's --preserve-fds option
 • Sourceview line number background drawing is improved
 • Updated documentation
 • Updated translations

==============
Version 3.32.0
==============

Changes since last release:

 • Improve restoring cursor after loading buffer
 • Various API changes to avoid out-params with async functions
 • Styling tweaks for matching brackets
 • Updated documentation
 • Updated translations
